Script Python doesn't work

runScript.zip (13.3 KB)

I can run a Python Script directly (it create a file) but I can’t using RunScript activity in UIPath.

Someone can help me please

Can you post the error you are getting @marcocRPA?

I solve that, but now I have this error(I’m using Python 3.6 and Anaconda):

RemoteException wrapping System.InvalidOperationException: Error loading Python script —> RemoteException wrapping System.ServiceModel.FaultException`1[[System.ServiceModel.ExceptionDetail,
System.ServiceModel,
Version=4.0.0.0,
Culture=neutral,
PublicKeyToken=b77a5c561934e089]]: ImportError : Traceback (most recent call last):
File “C:\Python3.6\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py”,
line 18,
in swig_import_helper
fp,
pathname,
description = imp.find_module(’_pywrap_tensorflow_internal’,
[dirname(file)])
File “C:\Python3.6\lib\imp.py”,
line 297,
in find_module
raise ImportError(_ERR_MSG.format(name),
name=name)
ImportError: No module named ‘_pywrap_tensorflow_internal’

During handling of the above exception,
another exception occurred:

Traceback (most recent call last):
File “C:\Python3.6\lib\site-packages\tensorflow\python\pywrap_tensorflow.py”,
line 58,
in
from tensorflow.python.pywrap_tensorflow_internal import *
File “C:\Python3.6\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py”,
line 28,
in
_pywrap_tensorflow_internal = swig_import_helper()
File “C:\Python3.6\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py”,
line 20,
in swig_import_helper
import _pywrap_tensorflow_internal
ModuleNotFoundError: No module named ‘_pywrap_tensorflow_internal’

Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/errors

for some common reasons and solutions. Include the entire stack trace
above this error message when asking for help.

Server stack trace:
at System.ServiceModel.Channels.ServiceChannel.ThrowIfFaultUnderstood(Message reply,
MessageFault fault,
String action,
MessageVersion version,
FaultConverter faultConverter)
at System.ServiceModel.Channels.ServiceChannel.HandleReply(ProxyOperationRuntime operation,
ProxyRpc& rpc)
at System.ServiceModel.Channels.ServiceChannel.Call(String action,
Boolean oneway,
ProxyOperationRuntime operation,
Object ins,
Object outs,
TimeSpan timeout)
at System.ServiceModel.Channels.ServiceChannelProxy.InvokeService(IMethodCallMessage methodCall,
ProxyOperationRuntime operation)
at System.ServiceModel.Channels.ServiceChannelProxy.Invoke(IMessage message)

Exception rethrown at [0]:
at System.Runtime.Remoting.Proxies.RealProxy.HandleReturnMessage(IMessage reqMsg,
IMessage retMsg)
at System.Runtime.Remoting.Proxies.RealProxy.PrivateInvoke(MessageData& msgData,
Int32 type)
at UiPath.Python.Service.IPythonService.LoadScript(String code)
at UiPath.Python.Impl.OutOfProcessEngine.<>c__DisplayClass11_0.b__0()
at System.Threading.Tasks.Task`1.InnerInvoke()
at System.Threading.Tasks.Task.Execute()
— End of stack trace from previous location where exception was thrown —
at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
at UiPath.Python.Activities.LoadScript.d__12.MoveNext()
— End of inner exception stack trace —
at UiPath.Python.Activities.LoadScript.d__12.MoveNext()
— End of stack trace from previous location where exception was thrown —
at UiPath.Shared.Activities.AsyncTaskCodeActivity.EndExecute(AsyncCodeActivityContext context,
IAsyncResult result)
at System.Activities.AsyncCodeActivity.System.Activities.IAsyncCodeActivity.FinishExecution(AsyncCodeActivityContext context,
IAsyncResult result)
at System.Activities.AsyncCodeActivity.CompleteAsyncCodeActivityData.CompleteAsyncCodeActivityWorkItem.Execute(ActivityExecutor executor,
BookmarkManager bookmarkManager)

It states you don’t have the package @marcocRPA, Can you please check?

@HareeshMR Which one?

As quoted in the above

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.